OpenShot Audio Library | OpenShotAudio: juce::AudioPlayHead::CurrentPositionInfo Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::AudioPlayHead::CurrentPositionInfo Struct Reference

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const CurrentPositionInfo &other) const noexcept
bool | operator!= (const CurrentPositionInfo &other) const noexcept
void | resetToDefault ()

## Public Attributes
double | bpm
int | timeSigNumerator
int | timeSigDenominator
int64 | timeInSamples
double | timeInSeconds
double | editOriginTime
double | ppqPosition
double | ppqPositionOfLastBarStart
FrameRateType | frameRate
bool | isPlaying
bool | isRecording
double | ppqLoopStart
double | ppqLoopEnd
bool | isLooping

## Detailed Description

This structure is filled-in by the AudioPlayHead::getCurrentPosition() method.

Definition at line 66 of file juce_AudioPlayHead.h.

## Member Data Documentation

## ◆ bpm

double juce::AudioPlayHead::CurrentPositionInfo::bpm

The tempo in BPM

Definition at line 69 of file juce_AudioPlayHead.h.

## ◆ editOriginTime

double juce::AudioPlayHead::CurrentPositionInfo::editOriginTime

For timecode, the position of the start of the timeline, in seconds from 00:00:00:00.

Definition at line 82 of file juce_AudioPlayHead.h.

## ◆ frameRate

FrameRateType juce::AudioPlayHead::CurrentPositionInfo::frameRate

The video frame rate, if applicable.

Definition at line 98 of file juce_AudioPlayHead.h.

## ◆ isLooping

bool juce::AudioPlayHead::CurrentPositionInfo::isLooping

True if the transport is currently looping.

Definition at line 122 of file juce_AudioPlayHead.h.

## ◆ isPlaying

bool juce::AudioPlayHead::CurrentPositionInfo::isPlaying

True if the transport is currently playing.

Definition at line 101 of file juce_AudioPlayHead.h.

## ◆ isRecording

bool juce::AudioPlayHead::CurrentPositionInfo::isRecording

True if the transport is currently recording.

(When isRecording is true, then isPlaying will also be true).

Definition at line 107 of file juce_AudioPlayHead.h.

## ◆ ppqLoopEnd

double juce::AudioPlayHead::CurrentPositionInfo::ppqLoopEnd

The current cycle end position in units of quarter-notes. Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Definition at line 119 of file juce_AudioPlayHead.h.

## ◆ ppqLoopStart

double juce::AudioPlayHead::CurrentPositionInfo::ppqLoopStart

The current cycle start position in units of quarter-notes. Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Definition at line 113 of file juce_AudioPlayHead.h.

## ◆ ppqPosition

double juce::AudioPlayHead::CurrentPositionInfo::ppqPosition

The current play position, in units of quarter-notes.

Definition at line 85 of file juce_AudioPlayHead.h.

## ◆ ppqPositionOfLastBarStart

double juce::AudioPlayHead::CurrentPositionInfo::ppqPositionOfLastBarStart

The position of the start of the last bar, in units of quarter-notes.

This is the time from the start of the timeline to the start of the current bar, in ppq units.

Note - this value may be unavailable on some hosts, e.g. Pro-Tools. If it's not available, the value will be 0.

Definition at line 95 of file juce_AudioPlayHead.h.

## ◆ timeInSamples

int64 juce::AudioPlayHead::CurrentPositionInfo::timeInSamples

The current play position, in samples from the start of the timeline.

Definition at line 77 of file juce_AudioPlayHead.h.

## ◆ timeInSeconds

double juce::AudioPlayHead::CurrentPositionInfo::timeInSeconds

The current play position, in seconds from the start of the timeline.

Definition at line 79 of file juce_AudioPlayHead.h.

## ◆ timeSigDenominator

int juce::AudioPlayHead::CurrentPositionInfo::timeSigDenominator

Time signature denominator, e.g. the 4 of a 3/4 time sig

Definition at line 74 of file juce_AudioPlayHead.h.

## ◆ timeSigNumerator

int juce::AudioPlayHead::CurrentPositionInfo::timeSigNumerator

Time signature numerator, e.g. the 3 of a 3/4 time sig

Definition at line 72 of file juce_AudioPlayHead.h.

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h